> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List project deployments

> List all deployments for a project



## OpenAPI

````yaml https://api.alpic.ai/openapi.json get /v1/projects/{projectId}/deployments
openapi: 3.1.1
info:
  title: Alpic API
  version: 1.0.0
servers:
  - url: https://api.alpic.ai
security:
  - bearerAuth: []
paths:
  /v1/projects/{projectId}/deployments:
    get:
      tags:
        - deployments
      summary: List project deployments
      description: List all deployments for a project
      operationId: deployments.list.v1
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            description: The ID of the project
        - name: status
          in: query
          schema:
            type: array
            items:
              enum:
                - ongoing
                - deployed
                - failed
                - canceled
              type: string
            description: Filter by one or more statuses
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: environmentId
          in: query
          schema:
            type: string
            description: Filter by environment ID
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: The list of deployments
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    status:
                      enum:
                        - ongoing
                        - deployed
                        - failed
                        - canceled
                      type: string
                    sourceRef:
                      anyOf:
                        - type: string
                        - type: 'null'
                    sourceCommitId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    sourceCommitMessage:
                      anyOf:
                        - type: string
                        - type: 'null'
                    authorUsername:
                      anyOf:
                        - type: string
                        - type: 'null'
                    authorAvatarUrl:
                      anyOf:
                        - type: string
                        - type: 'null'
                    startedAt:
                      anyOf:
                        - type: string
                          format: date-time
                          x-native-type: date
                        - type: 'null'
                    completedAt:
                      anyOf:
                        - type: string
                          format: date-time
                          x-native-type: date
                        - type: 'null'
                    environmentId:
                      type: string
                    environmentName:
                      type: string
                    isCurrent:
                      type: boolean
                    deploymentPageUrl:
                      anyOf:
                        - type: string
                          format: uri
                        - type: 'null'
                  required:
                    - id
                    - status
                    - sourceRef
                    - sourceCommitId
                    - sourceCommitMessage
                    - authorUsername
                    - authorAvatarUrl
                    - startedAt
                    - completedAt
                    - environmentId
                    - environmentName
                    - isCurrent
                    - deploymentPageUrl
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Bearer token for authentication. Use an API key from the API Keys page
        in team settings, or an OAuth access token.
      scheme: bearer

````